Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class Info

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.Info

All Implemented Interfaces:
  java.lang.Cloneable

public class Info
extends java.lang.Object
implements java.lang.Cloneable

Objects of this class provide information about a PKCS#11 moduel; i.e. the driver for a spcific token.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected Version` | `cryptokiVersion_` The module claims to be compliant to this version of PKCS#11.
`protected java.lang.String` | `libraryDescription_` A description of this module.
`protected Version` | `libraryVersion_` The version number of this module.
`protected java.lang.String` | `manufacturerID_` The identifer for the manufacturer of this module.

Constructor Summary
`protected` | `Info(CK_INFO ckInfo)` Constructor taking the CK_INFO object of the token.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`Version` | `getCryptokiVersion()` Get the version of PKCS#11 that this module claims to be compliant to.
`java.lang.String` | `getLibraryDescription()` Get a short descrption of this module.
`Version` | `getLibraryVersion()` Get the version of this PKCS#11 module.
`java.lang.String` | `getManufacturerID()` Get the identifier of the manufacturer.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cryptokiVersion_

    protected Version cryptokiVersion_

  The module claims to be compliant to this version of PKCS#11.

### manufacturerID_

    protected java.lang.String manufacturerID_

  The identifer for the manufacturer of this module.

### libraryDescription_

    protected java.lang.String libraryDescription_

  A description of this module.

### libraryVersion_

    protected Version libraryVersion_

  The version number of this module.

Constructor Detail

### Info

    protected Info(CK_INFO ckInfo)

  Constructor taking the CK_INFO object of the token.
  Parameters:
    `ckInfo` - The info object as got from PKCS11.C_GetInfo().

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getCryptokiVersion

    public Version getCryptokiVersion()

  Get the version of PKCS#11 that this module claims to be compliant to.
  Returns:
    The version object.

### getManufacturerID

    public java.lang.String getManufacturerID()

  Get the identifier of the manufacturer.
  Returns:
    A string identifying the manufacturer of this module.

### getLibraryDescription

    public java.lang.String getLibraryDescription()

  Get a short descrption of this module.
  Returns:
    A string describing the module.

### getLibraryVersion

    public Version getLibraryVersion()

  Get the version of this PKCS#11 module.
  Returns:
    The version of this module.

### toString

    public java.lang.String toString()

  Returns the string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of object

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other Info object.
  Returns:
    True, if other is an instance of Info and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object. Gained from all member variables.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18